<mamecheat version="1">

  <cheat desc="Select Starting Round"> <comment>Enable on the 'Push Start Button' screen after you've inserted a credit</comment>
    <parameter min="1" max="61" step="1"/>
    <script state="on">
      <action>maincpu.pb@1829=FF</action>
    </script>
    <script state="change">
      <action>maincpu.pb@1829=(param)</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Round (Only Display)"> <comment>Enable on the 'Push Start Button' screen after you've inserted a credit</comment>
    <parameter min="$1" max="$62" step="1"/>
    <script state="on">
      <action>maincpu.pb@182A=FF</action>
    </script>
    <script state="change">
      <action>maincpu.pb@182A=tobcd(param)</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@1826=03</action>
    </script>
  </cheat>

  <cheat desc="Infinite Power">
    <script state="run">
      <action>maincpu.pb@182D=FF</action>
    </script>
  </cheat>

  <cheat desc="Infinite Jumps">
    <script state="run">
      <action>maincpu.pb@182C=63</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mw@DDCC</action>
    </script>
    <script state="run">
      <action>maincpu.mw@DDCC=0000</action>
    </script>
    <script state="off">
      <action>maincpu.mw@DDCC=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Always Use Jump Parts">
    <script state="on">
      <action>temp0 =maincpu.pb@193F</action>
    </script>
    <script state="run">
      <action>maincpu.pb@193F=01</action>
    </script>
    <script state="off">
      <action>maincpu.pb@193F=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Always Use Power Parts">
    <script state="on">
      <action>temp0 =maincpu.pb@193B</action>
    </script>
    <script state="run">
      <action>maincpu.pb@193B=07</action>
    </script>
    <script state="off">
      <action>maincpu.pb@193B=temp0 </action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test">
    <parameter min="1" max="26" step="1"/>
    <script state="change">
      <action>sub.pb@temp1=00</action>
      <action>temp0=003F+param</action>
      <action>sub.pb@temp0=01</action>
      <action>temp1=temp0</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
